RarArchive::close
RarArchive::getEntries
RarArchive
PHP Manual

# RarArchive::getComment

# rar_comment_get

(PECL rar >= 2.0.0)

RarArchive::getComment -- rar_comment_get — Get comment text from the RAR archive

### Description

Object oriented style (method):

public string RarArchive::getComment ( void )

Procedural style:

string rar_comment_get ( RarArchive `$rarfile` )

Get the (global) comment stored in the RAR archive. It may be up to 64 KiB long.

> Note:

> This extension does not support comments at the entry level.

### Parameters

`rarfile`

  A RarArchive object, opened with rar_open().

### Return Values

Returns the comment or `NULL` if there is none.

> Note:

> RAR has currently no support for unicode comments. The encoding of the result of this function is not specified, but it will probably be Windows-1252.

### Examples

Example #1 Object oriented style

`<?php
$rar_arch = RarArchive::open('commented.rar');
echo $rar_arch->getComment();
?>`

The above example will output something similar to:

    This is the comment of the file commented.rar.

Example #2 Procedural style

`<?php
$rar_arch = rar_open('commented.rar');
echo rar_comment_get($rar_arch);
?>`

RarArchive::close
RarArchive::getEntries
RarArchive
PHP Manual